# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

Register_unit			= yes


ifndef RegisterFile
include				$(DIR_MORPHEO)/Behavioural/Generic/RegisterFile/Makefile.deps
endif
ifndef Register_unit_Glue
include 			$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/Makefile.deps
endif
ifndef Behavioural
include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
endif

#-----[ Library ]------------------------------------------
Register_unit_LIBRARY		= 	-lRegister_unit				\
					$(RegisterFile_LIBRARY)			\
					$(Register_unit_Glue_LIBRARY)		\
					$(Behavioural_LIBRARY)	

Register_unit_DIR_LIBRARY	=	-L$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/lib	\
					$(RegisterFile_DIR_LIBRARY)		\
					$(Register_unit_Glue_DIR_LIBRARY)	\
					$(Behavioural_DIR_LIBRARY)

Register_unit_DEPENDENCIES	=	RegisterFile_library			\
					Register_unit_Glue_library 		\
					Behavioural_library

Register_unit_CLEAN        	=	RegisterFile_library_clean		\
					Register_unit_Glue_library_clean 	\
					Behavioural_library_clean

#-----[ Rules ]--------------------------------------------

.NOTPARALLEL			: Register_unit_library Register_unit_library_clean	

Register_unit_library		: $(Register_unit_DEPENDENCIES)
				@\
				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit --makefile=Makefile;

Register_unit_library_clean	: $(Register_unit_CLEAN)
				@\
				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit --makefile=Makefile clean;
